OpenMesh::Concepts::MeshItems::EdgeT< Refs_ > Class Template Reference

Interface for the internal edge type. More...

`#include <Doc/Concepts/MeshItems.hh>`

## Public Types

typedef Refs_ | Refs
| Re-export the template argument Refs. This must be done!

## Public Attributes

Halfedge | halfedges [2]
| Store two halfedges. More...

## Detailed Description

### template<class Refs_>
class OpenMesh::Concepts::MeshItems::EdgeT< Refs_ >

Interface for the internal edge type.

This minimal interface must be provided by every edge. It's up to the mesh kernel (or the items used by the mesh kernel) to implement it.

All methods marked as internal should only be used by the mesh kernel.

## Member Data Documentation

## halfedges

template<class Refs_ >

Halfedge OpenMesh::Concepts::MeshItems::EdgeT< Refs_ >::halfedges[2]

Store two halfedges.

The documentation for this class was generated from the following file:

- Doc/Concepts/MeshItems.hh